Space Types
6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List space types for the organization#
GET
/space-typesTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
is_active | Query | string | – |
is_deleted | Query | string | – |
search | Query | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/space-types" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a space type#
POST
/space-typesTokenRequest-Body
| Name | Typ | Beschreibung |
|---|---|---|
namePflicht | string | Space type name |
description | object | Description |
icon | object | Icon identifier |
color | string | Hex color e.g. #6B7280 |
sort_order | number | Sort order |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/space-types" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"…"}'Get a space type by ID#
GET
/space-types/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Update a space type#
PUT
/space-types/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
name | string | – |
description | object | – |
icon | object | – |
color | string | – |
sort_order | number | – |
is_active | boolean | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"…","description":{},"icon":{}}'Actions: restore | toggle_active#
PATCH
/space-types/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
actionPflicht | string | Werte: |
Antworten
- 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"action":"restore"}'Soft-delete a space type#
DELETE
/space-types/{id}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
idPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/space-types/{id}" \
-H "Authorization: Bearer $XISUITE_TOKEN"